Montag, Februar 14, 2011

Bugfix für den Bugfix

Zwar ist gerade vor zwei Tagen WordPress 3.0.5 als Sicherheitsupdate erschienen, kommt schon eine nächste Warnung.
Diesmal behebt ein Plugin den Fehler, dessen Auswirkungen ich ehrlich gesagt nicht so wirklich verstehe.

Alternativ kann man auch folgenden Code in die functions.php des aktuellen Themes einfügen:

remove_filter( 'comment_text', 'wp_kses_data' );
if ( is_admin() )
add_filter( 'comment_text', 'wp_kses_post' );

Die nächste Version wird den Fehler beheben, dann sollte der Code händisch entfernt werden.

Mehr zum Fehler

Keine Kommentare: